Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSpotInstanceRequestsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSpotInstanceRequestsResult

    public class DescribeSpotInstanceRequestsResult

extends Object

Constructor Summary
`DescribeSpotInstanceRequestsResult()`

Method Summary
`List<SpotInstanceRequest>` | `getSpotInstanceRequests()`
`void` | `setSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSpotInstanceRequestsResult` | `withSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)` Returns a reference to this object so that method calls can be chained together.
`DescribeSpotInstanceRequestsResult` | `withSpotInstanceRequests(SpotInstanceRequest... spotInstanceRequests)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSpotInstanceRequestsResult

    public DescribeSpotInstanceRequestsResult()

Method Detail

### getSpotInstanceRequests

    public List<SpotInstanceRequest> getSpotInstanceRequests()

  Returns:

### setSpotInstanceRequests

    public void setSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)

  Parameters:
    `spotInstanceRequests` -

### withSpotInstanceRequests

    public DescribeSpotInstanceRequestsResult withSpotInstanceRequests(SpotInstanceRequest... spotInstanceRequests)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequests` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSpotInstanceRequests

    public DescribeSpotInstanceRequestsResult withSpotInstanceRequests(Collection<SpotInstanceRequest> spotInstanceRequests)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequests` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.